{% extends "base.html" %}
{% block static %}
  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'style/app.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'style/wizard/wizard.css' %}">
{% endblock %}
{% block content %}
  <main class="container">
    <!-- Wizard progress bar -->
    <div class="progress-container">
      <div class="progress" role="progressbar" aria-label="Basic example" aria-valuenow="{{ wizard.cal_progress }}" aria-valuemin="0" aria-valuemax="100">
        <div class="progress-bar bg-success" style="width: {{ wizard.cal_progress }}%"></div>
        <a href="{% url 'wizard_view' step=1 %}" class="hit-point {% if wizard.step >= 1 %}completed{% endif %} {% if active_step == 1 %}active{% endif %}">
          <i class="fa-solid fa-gear fs-6"></i>
        </a>
        <a href="{% url 'wizard_view' step=2 %}" class="hit-point {% if wizard.step >= 2 %}completed{% endif %} {% if active_step == 2 %}active{% endif %}" style="left: 20%">
          <i class="fa-solid fa-user-lock fs-6"></i>
        </a>
        <a href="{% url 'wizard_view' step=3 %}" class="hit-point {% if wizard.step >= 3 %}completed{% endif %} {% if active_step == 3 %}active{% endif %}" style="left: 40%">
          <i class="fa-solid fa-database fs-6"></i>
        </a>
        <a href="{% url 'wizard_view' step=4 %}" class="hit-point {% if wizard.step >= 4 %}completed{% endif %} {% if active_step == 4 %}active{% endif %}" style="left: 60%">
          <i class="fa-solid fa-building-columns fs-6"></i>
        </a>
        <a href="{% url 'wizard_view' step=5 %}" class="hit-point {% if wizard.step >= 5 %}completed{% endif %} {% if active_step == 5 %}active{% endif %}" style="left: 80%">
          <i class="fa-solid fa-cube fs-6"></i>
        </a>
        <a href="{% url 'wizard_view' step=6 %}" class="hit-point {% if wizard.step >= 6 %}completed{% endif %} {% if active_step == 6 %}active{% endif %}" style="left: 100%">
          <i class="fa-solid fa-rocket fs-6"></i>
        </a>
      </div>
    </div>
    <div class="progress-container mt-4">
      <span class="hit-point-title {% if active_step == 1 %}fw-bold{% endif %}" data-step="1">Basics</span>
      <span class="hit-point-title {% if active_step == 2 %}fw-bold{% endif %}" data-step="2">Authentication</span>
      <span class="hit-point-title {% if active_step == 3 %}fw-bold{% endif %}" data-step="3">Database</span>
      <span class="hit-point-title {% if active_step == 4 %}fw-bold{% endif %}" data-step="4">Image registry</span>
      <span class="hit-point-title {% if active_step == 5 %}fw-bold{% endif %}" data-step="5">Containers</span>
      <span class="hit-point-title {% if active_step == 6 %}fw-bold{% endif %}" data-step="6">Review</span>
    </div>

    <section class="mt-lg-5">
      {% block step_content %}
      {% endblock %}
    </section>
  </main>
{% endblock %}
{% block script %}
  <script src="{% static 'js/wizard/wizard.js' %}" type="module"></script>
{% endblock %}